Subject: bug#59979: 30.0.50; dockerfile-ts-mode imenu issue

From: Eshel Yaron <[email-masked]>
Date: Mon, 12 Dec 2022 10:28:34 +0200

Randy Taylor <[email-masked]> writes:

> On Sunday, December 11th, 2022 at 18:57, Randy Taylor <[email-masked]> wrote:
>
> I didn't notice this because I use conult-imenu, which will add an
> index for any duplicates. imenu doesn't do this, and for other modes
> like c-mode, c++-mode, org-mode, etc., only the first entry gets
> shown.
>
> I've attached a patch which will use the stage name if it's available,
> otherwise use the base image.

Great :) That's certainly an improvement.

I still maintain that using the base image as an identifier of the build
stage is not that useful, it doesn't really identify the stage in any
way, like identifying functions their arguments doesn't make a lot of
sense.  I do see how in practice that'll probably be fine in most cases.